## gromit 20041213

=== Makefile ===
all: gromit

proptest: proptest.c
	gcc -o proptest proptest.c `gtk-config --libs --cflags`

propertywatch: propertywatch.c
	gcc -o propertywatch propertywatch.c `gtk-config --libs --cflags`

gromit: gromit.c Makefile
	gcc -DG_DISABLE_DEPRECATED -DGDK_PIXBUF_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DPANGO_DISABLE_DEPRECATED -DGDK_MULTIHEAD_SAFE -DGTK_MULTIHEAD_SAFE -o gromit gromit.c -Wall `pkg-config --libs --cflags gtk+-2.0`

=== debian/changelog ===
gromit (20041213-10) unstable; urgency=medium

  * Team upload.

  [ Barak A. Pearlmutter ]
  * tweak icon
  * swizzle packaging repo to salsa

  [ Jenkins ]
  * Trim trailing whitespace.
  * Update watch file format version to 4.
  * Use secure URI in Homepage field.
  * Bump debhelper from deprecated 8 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Drop unnecessary dh arguments: --parallel

  [ Helmut Grohne ]
  * Fix FTCBFS: Use a triplet-prefixed pkg-config (closes: #864627)

  [ Andreas Tille ]
  * d/copyright: DEP5
  * Add d/README.Debian to advertise gromit-mpx
  * Drop debian/gromit.menu since there is a desktop file
  * Secure URI in watch file
  * Standards-Version: 4.7.2 (routine-update)
  * Fix clean target
    Closes: #1044464

 -- Andreas Tille <tille@debian.org>  Mon, 09 Jun 2025 06:36:34 +0200

gromit (20041213-9) unstable; urgency=low

  * create and install scalable icon
  * refresh xpm icon from scalable icon
  * add gromit.desktop file
  * Makefile tweak to link math library

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 13 Nov 2011 19:53:59 +0000

gromit (20041213-8) unstable; urgency=low

  * bump standards version
  * silence lintian with single debian patch source format option
  * silence lintian back slash dash man page hash whining
  * silence some GCC warnings by dispabling -DGDK_DISABLE_DEPRECATED

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 17 Aug 2011 14:35:06 +0200

gromit (20041213-7) unstable; urgency=low

  * make --debug a bit useful
  * brute-force fix for horz/vert bug by squashing zeros,
    and revert performance-sapping fix from NMU -4.1

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 09 Mar 2011 20:38:33 +0000

gromit (20041213-6) unstable; urgency=low

  * Simplify Makefile
  * Add -Wno-pointer-sign quashing pointless signed vs unsigned char * warnings

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 08 Mar 2011 11:34:24 +0000

gromit (20041213-5) unstable; urgency=low

  * Changes to packaging info (debian/control)
    - add BAP as uploader
    - bump standards version
    - point to collab-maint git repo
    - pointer to home page
  * Watch file to version 3 (debian/watch)
  * Update to dh8 (debian/rules etc)
  * Accept NMU patch
  * dpkg source format 3.0 (quilt)
  * Point to correct version of GPL (debian/copyright)
  * Update to new heirarchy (debian/gromit.menu)
  * Patch for power friendliness from Alexander Clouter (closes: #487692)
  * Patch, silence some "cast pointer to integer of different size"
    warnings (closes: #572980)
  * Add x11 to Makefile pkg-config, quashing gold link error (closes: #554745)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 21 Jan 2011 16:00:14 +0000

gromit (20041213-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "Line appears from draw start to upper left corner of screen."
    by restricting the time-range of the event-history.  Thanks to Rafael
    Cunha de Almeida <rafael@kontesti.me>, who did the patch with
    me. (Closes: #571748)

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Thu, 11 Mar 2010 16:14:30 -0300

gromit (20041213-4) unstable; urgency=low

  * Updated Standards-Version to 3.6.2 (no changes)

 -- Pierre Chifflier <chifflier@cpe.fr>  Mon, 12 Sep 2005 11:32:11 +0200

gromit (20041213-3) unstable; urgency=low

  * Applied patch to fix bug on multihead displays (Closes: #302108)

 -- Pierre Chifflier <chifflier@cpe.fr>  Thu, 14 Apr 2005 10:53:56 +0200

gromit (20041213-2) unstable; urgency=low

  * Corrected typo in package description (Closes: #303513)
  * Updated manpage (Closes: #301593)
  * Added watchfile, menu entry and xpm

 -- Pierre Chifflier <chifflier@cpe.fr>  Mon, 11 Apr 2005 15:24:49 +0200

gromit (20041213-1) unstable; urgency=low

  * Initial Release (Closes: #289545)

 -- Pierre Chifflier <chifflier@cpe.fr>  Mon, 17 Jan 2005 11:51:44 +0100

=== debian/control ===
Source: gromit
Section: x11
Priority: optional
Maintainer: Pierre Chifflier <chifflier@cpe.fr>
Uploaders: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper-compat (= 13), libgtk2.0-dev
Standards-Version: 4.7.2
Homepage: https://www.home.unix-ag.org/simon/gromit/
Vcs-Git: https://salsa.debian.org/debian/gromit.git
Vcs-Browser: https://salsa.debian.org/debian/gromit

Package: gromit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GTK based tool to make annotations on screen
 Gromit enables you to make annotations on your screen.
 .
 This is especially useful when making presentations, to highlight
 things or point out things of interest.
 .
 Gromit is XInput-Aware, so if you have a graphic tablet you can
 draw lines with different strength, color, erase things, etc.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk
export PKG_CONFIG=$(DEB_HOST_GNU_TYPE)-pkg-config

%:
	dh $@

debian/gromit_32.png:  debian/gromit.svg; rsvg-convert -w  32 -h  32 $< > $@
debian/gromit_64.png:  debian/gromit.svg; rsvg-convert -w  64 -h  64 $< > $@
debian/gromit_128.png: debian/gromit.svg; rsvg-convert -w 128 -h 128 $< > $@

debian/gromit.xpm: debian/gromit_32.png
	convert $< $@

=== debian/watch ===
version=4
https://www.home.unix-ag.org/simon/gromit/ ./gromit-(\d*)\.tar\.gz
